#!/bin/sh

me=$(readlink -f $0)
BASE=$(dirname ${me})
ARCH=$(rpm --eval "%{_arch}")
DIST=$(rpm --eval "%{?dist}")

RPM_FILE=${BASE}/eyesdn-service-5.2.2-0${DIST}.${ARCH}.rpm

echo "Installing libusb dependency ..."
if ! yum install -y libusb; then
    echo "Failed to install libusb"
    exit 1
else
    echo "libusb successfully installed"
fi

echo "Installing/updating Feature Pack CallRecording for OfficeMaster Gate 5.2.2-0 (${RPM_FILE}) ..."
if ! rpm -Uv --oldpackage --replacepkgs ${RPM_FILE}; then
    echo "Failed to update package"
    exit 1
else
    echo "Feature Pack CallRecording for OfficeMaster Gate 5.2.2-0 successfully installed"
fi

echo "Restarting OfficeMaster Gate software ..."
if ! omgrestart; then
    echo "Failed to restart software"
    exit 1
else
    echo "OfficeMaster Gate software restarted"
fi

exit 0
